Summary:	Tools for creating and maintaining software RAID devices.
Name:		raidtools
Version:	1.00.3
Release:	1.3.0
Copyright:	GPL
Group:		System Environment/Utilities
Source0:	http://people.redhat.com/mingo/raidtools/raidtools-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
Conflicts:	kernel < 2.2

%description
The raidtools package includes the tools you need to set up and
maintain a software RAID device (using two or more disk drives in
combination for fault tolerance and improved performance) on a Linux
system. It only works with Linux 2.2 kernels and later, or with a 2.0
kernel specifically patched with newer RAID support.

%files
  %defattr(-,root,root)
  /dev/*
  %attr(0700,root,root)	/sbin/*
  %attr(0444,root,root)	%doc %{_mandir}/man?/*
  %attr(0444,root,root)	%doc COPYING README *.sample
  %attr(0444,root,root)	%doc Software-RAID.HOWTO/Software-RAID.HOWTO.txt

%prep
%setup -q
%build
  CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/usr --mandir=$RPM_BUILD_ROOT/%{_mandir} \
	--infodir=$RPM_BUILD_ROOT/%{_infodir}
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/dev
  make MAN=%{_mandir} ROOTDIR=$RPM_BUILD_ROOT install_bin install_doc

  for i in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
	mknod -m 0600 $RPM_BUILD_ROOT/dev/md$i b 9 $i
  done

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 17 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.00.3, Release 1.5.1
  - Upgrade to latest upstream version.
  - Ryan-ize spec.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.[01]
  - Initial build for EnGarde v1.2 (Parry).
  - Fix %clean stanza.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.90, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.90, Release 1.0.3
  - bf094ab393ac9d7235a9d90036d303769c3998a5 (geek speek)

* Mon Nov 20 2000 Dave Wreski <dave@guardiandigital.com>
- upgrade to 19990824
- FHS fixes

* Mon Jul 24 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to /sbin binaries for
	Guardian Digital Linux Lockbox
- initial version

